Skip to content
Docs
Installs

Delete a zone install

Delete a zone install

zones.installs.delete(strinstall_id, InstallDeleteParams**kwargs) -> Task
DELETE/zones/{zone_id}/installs/{install_id}

Delete a zone install

ParametersExpand Collapse
zone_id: str
install_id: str
maxLength26
x_client_request_id: Optional[str]
formatuuid
ReturnsExpand Collapse
class Task:
id: str
created_at: datetime
formatdate-time
operation: TaskOperation
Accepts one of the following:
"create"
"delete"
status: TaskStatus
Accepts one of the following:
"pending"
"running"
"completed"
"failed"
updated_at: datetime
formatdate-time
error_message: Optional[str]
install_id: Optional[str]
package_id: Optional[str]
package_slug: Optional[str]
package_version: Optional[int]
warnings: Optional[List[Warning]]

Informational warnings about the task outcome. For delete tasks, warns when adopted entities (pre-existing resources not created by the catalog) will be preserved rather than deleted.

code: Literal["validation_error", "bad_request", "unauthorized", 6 more]
Accepts one of the following:
"validation_error"
"bad_request"
"unauthorized"
"forbidden"
"not_found"
"conflict"
"rate_limit_exceeded"
"internal_error"
"service_unavailable"
details: List[WarningDetail]
code: Literal["validation_error", "bad_request", "unauthorized", 6 more]
Accepts one of the following:
"validation_error"
"bad_request"
"unauthorized"
"forbidden"
"not_found"
"conflict"
"rate_limit_exceeded"
"internal_error"
"service_unavailable"
field: str

valid json path for request body

message: str

error message for specific error

message: str

summary of the error

path: str
formaturl
request_id: str
formatuuid
status: int

HTTP Status Code

timestamp: datetime
formatdate-time

Delete a zone install

from keycardai_api import KeycardAPI

client = KeycardAPI()
task = client.zones.installs.delete(
    install_id="install_id",
    zone_id="zone_id",
)
print(task.id)
{
  "id": "id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "operation": "create",
  "status": "pending",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "error_message": "error_message",
  "install_id": "install_id",
  "links": [
    {
      "href": "href",
      "rel": "rel",
      "properties": {
        "foo": "bar"
      },
      "titles": {
        "foo": "string"
      },
      "type": "type"
    }
  ],
  "package_id": "package_id",
  "package_slug": "package_slug",
  "package_version": 0,
  "warnings": [
    {
      "code": "validation_error",
      "details": [
        {
          "code": "validation_error",
          "field": "field",
          "message": "message"
        }
      ],
      "message": "message",
      "path": "path",
      "request_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "status": 0,
      "timestamp": "2019-12-27T18:11:19.117Z"
    }
  ]
}
Returns Examples
{
  "id": "id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "operation": "create",
  "status": "pending",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "error_message": "error_message",
  "install_id": "install_id",
  "links": [
    {
      "href": "href",
      "rel": "rel",
      "properties": {
        "foo": "bar"
      },
      "titles": {
        "foo": "string"
      },
      "type": "type"
    }
  ],
  "package_id": "package_id",
  "package_slug": "package_slug",
  "package_version": 0,
  "warnings": [
    {
      "code": "validation_error",
      "details": [
        {
          "code": "validation_error",
          "field": "field",
          "message": "message"
        }
      ],
      "message": "message",
      "path": "path",
      "request_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "status": 0,
      "timestamp": "2019-12-27T18:11:19.117Z"
    }
  ]
}